Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenRuleContainerBase

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  GenAuditContainer, GenMetricContainer

All Known Implementing Classes:
  GenAuditContainerImpl, GenMetricContainerImpl, GenRuleContainerBaseImpl

public interface GenRuleContainerBase
extends EObject

A representation of the model object 'Gen Rule Container Base'. Base container for rules like audit, metrics...

The following features are supported:

- `Editor`

See Also:
  `GMFGenPackage.getGenRuleContainerBase()`
** Generated **
Model:
  abstract="true"

Method Summary
`GenEditorGenerator` `getEditor()` Returns the value of the 'Editor' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditor

    public GenEditorGenerator getEditor()

  Returns the value of the 'Editor' reference.

  If the meaning of the 'Editor' reference isn't clear, there really should be more of a description here...

  The editor generator containing this rule container

  Returns:
    the value of the 'Editor' reference.
  See Also:
    `GMFGenPackage.getGenRuleContainerBase_Editor()`
  ** Generated **
  Model:
    required="true" transient="true" changeable="false" volatile="true" derived="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.